from api import db

# file for creating database model
#! it show errors because of linker but it works correctly if it runs


class Phone(db.Model):
    _id = db.Column(db.Integer, primary_key=True)
    znacka = db.Column(db.String(20))
    model = db.Column(db.String(60))
    displej = db.Column(db.Float)
    fotoaparat = db.Column(db.Float)
    vykon = db.Column(db.Float)
    pripojeni = db.Column(db.Boolean)
    baterka = db.Column(db.Float)
    dualsim = db.Column(db.Boolean)
    odolnost = db.Column(db.Integer)
    sport = db.Column(db.Boolean)
    pamet = db.Column(db.Integer)
    sdkarta = db.Column(db.Boolean)
    hybridslot = db.Column(db.Boolean)
    popis = db.Column(db.Text)
    cena = db.Column(db.Integer)
    # path to picture
    obrazek = db.Column(db.String(260))

    def __init__(self, znacka, model, displej, fotoaparat, vykon, pripojeni, baterka, dualsim, odolnost, sport, pamet, sdkarta, hybridslot, popis, cena, obrazek):
        self.znacka = znacka
        self.model = model
        self.displej = displej
        self.fotoaparat = fotoaparat
        self.vykon = vykon
        self.pripojeni = pripojeni
        self.baterka = baterka
        self.dualsim = dualsim
        self.odolnost = odolnost
        self.sport = sport
        self.pamet = pamet
        self.sdkarta = sdkarta
        self.hybridslot = hybridslot
        self.popis = popis
        self.cena = cena
        self.obrazek = obrazek

    def __repr__(self):
        return f"Phone('{self.znacka}','{self.model}','{self.popis}')"
